at.chipkarte.client.dbas.soap

## Class DatenblattPapAbstrich

- Object
- - at.chipkarte.client.dbas.soap.DatenblattPapAbstrich

-     public class DatenblattPapAbstrich
      extends Object

  Enthält die Eingangsdaten zum Aufruf der Funktion createDatenblattPapAbstrich.
  ParameterID: 120400.
  Hinweis: Kann nur für Frauen übermittelt werden.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatenblattPapAbstrich()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAbstrichwiederholung()` Abstrichwiederholung - Abstrichqualitaet.
    `String` | `getAnschrift()` Anschrift des Patienten.
    `String` | `getAuffaelligkeiten()` Von Probandin angegebene Auffaelligkeiten - Sonstiges.
    `String` | `getAufklaerung()` Aufklaerung vor Untersuchung durchgefuehrt - Abstrichqualitaet.
    `String` | `getBefund()` Informationsrelevanter Befund - Zervikalzyt.
    `String` | `getBeurteilung()` Beurteilung (Probandin über Ergebnis informiert) - Abstrichqualitaet.
    `String` | `getErgebnisinformation()` Probandin über Ergebnis informiert - Zervikalzyt.
    `String` | `getGeburtsdatum()` Geburtsdatum des Patienten.
    `Long` | `getKonsultationId()` ID der gewählten Konsultation zum Datenblatt.
    `String` | `getMassnahme()` Maßnahme - Zervikalzyt.
    `String` | `getPapKlasse()` PAP-Klasse - Zervikalzyt.
    `String` | `getPostleitzahl()` Postleitzahl des Patienten.
    `String` | `getQualitaet()` Qualitaet (Kategorie) - Abstrichqualitaet.
    `String` | `getSvNummer()` Sv-Nummer des Patienten für den das Datenblatt übermittelt werden soll.
    `String` | `getVersionsnummer()` Version des Dokumentations-/Befundblattes.
    `void` | `setAbstrichwiederholung(String _abstrichwiederholung)`
    `void` | `setAnschrift(String _anschrift)`
    `void` | `setAuffaelligkeiten(String _auffaelligkeiten)`
    `void` | `setAufklaerung(String _aufklaerung)`
    `void` | `setBefund(String _befund)`
    `void` | `setBeurteilung(String _beurteilung)`
    `void` | `setErgebnisinformation(String _ergebnisinformation)`
    `void` | `setGeburtsdatum(String geburtsdatum)`
    `void` | `setKonsultationId(Long _konsultationId)`
    `void` | `setMassnahme(String _massnahme)`
    `void` | `setPapKlasse(String _papKlasse)`
    `void` | `setPostleitzahl(String _postleitzahl)`
    `void` | `setQualitaet(String _qualitaet)`
    `void` | `setSvNummer(String _svNummer)`
    `void` | `setVersionsnummer(String _versionsnummer)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DatenblattPapAbstrich

          public DatenblattPapAbstrich()

  - ### Method Detail

    - #### getAnschrift

          public String getAnschrift()

      Anschrift des Patienten.
      Format: maximal 108-stellig.
      Angabe: Muss.
      ParameterID: 120411.
      Returns:
        Anschrift

    - #### setAnschrift

          public void setAnschrift(String _anschrift)

    - #### getPostleitzahl

          public String getPostleitzahl()

      Postleitzahl des Patienten.
      Format: maximal 9-stellig, numerisch (0-9).
      Angabe: Muss.
      ParameterID: 120412.
      Returns:
        Postleitzahl

    - #### setPostleitzahl

          public void setPostleitzahl(String _postleitzahl)

    - #### getAufklaerung

          public String getAufklaerung()

      Aufklaerung vor Untersuchung durchgefuehrt - Abstrichqualitaet.
      Mögliche Werte siehe `VuTyp19Constants`.
      Angabe: Muss.
      ParameterID: 120413.
      Returns:
        Aufklaerung

    - #### setAufklaerung

          public void setAufklaerung(String _aufklaerung)

    - #### getQualitaet

          public String getQualitaet()

      Qualitaet (Kategorie) - Abstrichqualitaet.
      Mögliche Werte siehe `PapQualConstants`.
      Angabe: Muss.
      ParameterID: 120414.
      Returns:
        Qualitaet

    - #### setQualitaet

          public void setQualitaet(String _qualitaet)

    - #### getBeurteilung

          public String getBeurteilung()

      Beurteilung (Probandin über Ergebnis informiert) - Abstrichqualitaet.
      Mögliche Werte siehe `PapBeurtConstants`.
      Angabe: Bedingt (Muss angegeben werden wenn Qualitaet mit "EINGE" (Einge) oder "NICHT" (Nicht) belegt, ansonsten Optional).
      ParameterID: 120415.
      Returns:
        Beurteilung

    - #### setBeurteilung

          public void setBeurteilung(String _beurteilung)

    - #### getAbstrichwiederholung

          public String getAbstrichwiederholung()

      Abstrichwiederholung - Abstrichqualitaet.
      Mögliche Werte siehe `VuTyp19Constants`.
      Angabe: Muss.
      ParameterID: 120416.
      Returns:
        Abstrichwiederholung

    - #### setAbstrichwiederholung

          public void setAbstrichwiederholung(String _abstrichwiederholung)

    - #### getPapKlasse

          public String getPapKlasse()

      PAP-Klasse - Zervikalzyt. Befund und Folgemassnahmen.
      Mögliche Werte siehe `PapKlasseConstants`.
      Angabe: Muss.
      ParameterID: 120417.
      Returns:
        PapKlasse

    - #### setPapKlasse

          public void setPapKlasse(String _papKlasse)

    - #### getMassnahme

          public String getMassnahme()

      Maßnahme - Zervikalzyt. Befund und Folgemassnahmen.
      Mögliche Werte siehe `PapMassnConstants`.
      Angabe: Muss.
      ParameterID: 120418.
      Returns:
        Massnahme

    - #### setMassnahme

          public void setMassnahme(String _massnahme)

    - #### getBefund

          public String getBefund()

      Informationsrelevanter Befund - Zervikalzyt. Befund und Folgemassnahmen.
      Mögliche Werte siehe `VuTyp19Constants`.
      Angabe: Muss.
      ParameterID: 120419.
      Returns:
        Befund

    - #### setBefund

          public void setBefund(String _befund)

    - #### getErgebnisinformation

          public String getErgebnisinformation()

      Probandin über Ergebnis informiert - Zervikalzyt. Befund und Folgemassnahmen.
      Mögliche Werte siehe `VuTyp19Constants`.
      Angabe: Muss.
      ParameterID: 120420.
      Returns:
        Ergebnisinformation

    - #### setErgebnisinformation

          public void setErgebnisinformation(String _ergebnisinformation)

    - #### getAuffaelligkeiten

          public String getAuffaelligkeiten()

      Von Probandin angegebene Auffaelligkeiten - Sonstiges.
      Format: maximal 250-stellig.
      Angabe: Optional.
      ParameterID: 120421.
      Returns:
        Auffaelligkeiten

    - #### setAuffaelligkeiten

          public void setAuffaelligkeiten(String _auffaelligkeiten)

    - #### getKonsultationId

          public Long getKonsultationId()

      ID der gewählten Konsultation zum Datenblatt.
      Format: 19-stellig.
      Angabe: Muss.
      ParameterID: 129007.
      Returns:
        KonsultationId

    - #### setKonsultationId

          public void setKonsultationId(Long _konsultationId)

    - #### getVersionsnummer

          public String getVersionsnummer()

      Version des Dokumentations-/Befundblattes.
      Mögliche Werte siehe `DatenblattVersionConstants`.
      Angabe: Muss.
      ParameterID: 129008.
      Returns:
        Versionsnummer

    - #### setVersionsnummer

          public void setVersionsnummer(String _versionsnummer)

    - #### getSvNummer

          public String getSvNummer()

      Sv-Nummer des Patienten für den das Datenblatt übermittelt werden soll.
      Format: 10-stellig.
      Angabe: Bedingt. Es muss entweder eine `svNummer` oder ein mit e-card erstelltes `cardToken` (Eingangsparameter der Funktion `createDatenblattPapAbstrich()` angegeben werden.
      Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
      ParameterID: 129001.
      Returns:
        SvNummer

    - #### setSvNummer

          public void setSvNummer(String _svNummer)

    - #### getGeburtsdatum

          public String getGeburtsdatum()

      Geburtsdatum des Patienten.
      Format: 10-stellig im Format TT.MM.JJJJ
      Angabe: Bedingt (Muss angegeben werden, wenn die vom beim Aufruf `IDbasService.searchKonsultationData(String, String, String, String)` zurückgelieferte Struktur `PatientInfo` (enthalten in `KonsultationData`) kein gültiges Geburtsdatum enthält.)
      Hinweis: wenn am Server ein Geburtsdatum ermittelt werden konnte, so muss der Wert von `geburtsdatum` mit diesem übereinstimmen!
      Returns:
        Geburtsdatum

    - #### setGeburtsdatum

          public void setGeburtsdatum(String geburtsdatum)